## org.apache.lucene.search
Class BooleanClause

    java.lang.Object
      org.apache.lucene.search.BooleanClause

All Implemented Interfaces:
  java.io.Serializable

    public class BooleanClause

extends java.lang.Object
implements java.io.Serializable

A clause in a BooleanQuery.

See Also:
  Serialized Form

Nested Class Summary
`static class` `BooleanClause.Occur` Specifies how clauses are to occur in matching documents.

Constructor Summary
`BooleanClause(Query query, BooleanClause.Occur occur)` Constructs a BooleanClause.

Method Summary
`boolean` `equals(java.lang.Object o)` Returns true if `o` is equal to this.
`BooleanClause.Occur` `getOccur()`
`Query` `getQuery()`
`int` `hashCode()` Returns a hash code value for this object.
`boolean` `isProhibited()`
`boolean` `isRequired()`
`void` `setOccur(BooleanClause.Occur occur)`
`void` `setQuery(Query query)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanClause

    public BooleanClause(Query query,
                         BooleanClause.Occur occur)

  Constructs a BooleanClause.

Method Detail

### getOccur

    public BooleanClause.Occur getOccur()

### setOccur

    public void setOccur(BooleanClause.Occur occur)

### getQuery

    public Query getQuery()

### setQuery

    public void setQuery(Query query)

### isProhibited

    public boolean isProhibited()

### isRequired

    public boolean isRequired()

### equals

    public boolean equals(java.lang.Object o)

  Returns true if `o` is equal to this.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.